package org.gyun.util;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

import org.apache.log4j.Logger;
import org.gyun.dao.BaseDao;

/**
 * 
 * 
 * @ClassNameConfigManager.java
 * @Description
 * @AuthorDongGaoYun
 * @URL www.gyun.org
 * @EmailDongGaoYun@qq.com
 * @Date2019-7-31 11:53:15
 * @Version1.0
 */
//jdk 1.8Ǹ
public class ConfigManager {
	// ʼ
	private Logger logger = Logger.getLogger(ConfigManager.class);
	// ڿģʽ
	//private static ConfigManager configManager = new ConfigManager();
	//ģʽ
	private static ConfigManager configManager;
	// ȡļk v
	private static Properties properties;
	//췽
	public ConfigManager() {
		properties = new Properties();
		String resource = "database.properties";
		// ķʽȡļ
		/*InputStream in = ConfigManager.class.getClassLoader()
				.getResourceAsStream(resource);*/
		// ķʽ??
		InputStream in = ConfigManager.class.getResourceAsStream("/"+resource);
		try {
			//ļ
			properties.load(in);
			logger.info("ȡļɹ!");
		} catch (IOException e) {
			e.printStackTrace();
			logger.info("ȡļʧ!");
		}finally{
			try {
				in.close();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}

	}
	//װ֮,Ψһķеáڿģʽ
/*	public static ConfigManager getInstance(){
		return configManager;
	}*/
	//̰߳ȫ⡡(ͬ첽)ģʽ
	public static synchronized ConfigManager getInstance(){
		if(null==configManager){
			configManager=new ConfigManager();
		}
		return configManager;
	}
	//k-v
	public static String getProperty(String key){
		return properties.getProperty(key);
	}
	
	

}
